Skip to main content
GET
/
v1
/
analytics
/
namespaces
/
summary
Get Namespace Summary
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/namespaces/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/analytics/namespaces/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/analytics/namespaces/summary', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "namespace_id": "<string>",
  "time_range_days": 123,
  "summary": {},
  "recommendations": [
    {
      "field_name": "<string>",
      "query_count": 123,
      "avg_latency_ms": 123,
      "p95_latency_ms": 123,
      "slow_query_count": 123,
      "very_slow_query_count": 123,
      "priority_score": 123,
      "recommendation": "<string>",
      "mongodb_index_command": "<string>"
    }
  ],
  "most_queried_fields": [
    {
      "field_name": "<string>",
      "query_count": 123,
      "avg_latency_ms": 123,
      "p95_latency_ms": 123
    }
  ],
  "slowest_fields": [
    {
      "field_name": "<string>",
      "usage_count": 123,
      "avg_latency_ms": 123,
      "p50_latency_ms": 123,
      "p95_latency_ms": 123,
      "p99_latency_ms": 123,
      "max_latency_ms": 123,
      "index_priority_score": 123
    }
  ],
  "compound_indexes": [
    {
      "field_combination": [
        "<string>"
      ],
      "combination_count": 123,
      "avg_latency_ms": 123,
      "p95_latency_ms": 123
    }
  ]
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
{
  "status": 123,
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": {}
  },
  "success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

days
integer
default:30

Days of history to analyze

Required range: 1 <= x <= 90

Response

Successful Response

Comprehensive namespace analytics summary.

namespace_id
string
required

Namespace ID analyzed

time_range_days
integer
required

Number of days analyzed

summary
Summary · object
required

Summary statistics (total_fields_analyzed, high_priority_indexes, etc.)

recommendations
IndexRecommendation · object[]
required

Top index recommendations

most_queried_fields
FieldQueryMetrics · object[]
required

Most frequently queried fields

slowest_fields
FieldPerformanceMetrics · object[]
required

Fields with highest latency

compound_indexes
CompoundIndexPattern · object[]
required

Compound index opportunities